Page MenuHomePhabricator

The argument //deepcategory// in CirrusSearch only reports the members of the root category for nowiki
Closed, ResolvedPublic

Description

The deepcategory only list the content of the root category at nowiki. For an example see this search from the root at w:no:Kategory:Verneområder i Norge. The majority of the members are two levels down, like in w:no:Kategori:Verneområder i Vestfold. Above it there are "Verneområder etter fylke" and then "Verneområder i Norge".

Event Timeline

jeblad created this task.May 8 2018, 9:48 AM
Restricted Application added subscribers: Danmichaelo, Aklapper. · View Herald TranscriptMay 8 2018, 9:48 AM
jeblad updated the task description. (Show Details)May 8 2018, 9:49 AM
Aklapper removed a subscriber: CirrusSearch.
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 8 2018, 10:07 AM

https://noc.wikimedia.org/conf/dblists/categories-rdf.dblist does not have nowiki, so we don't really have data for it in WDQS. We should probably expand the list.

we might want to add a warning when using deepcat on an unsupported wiki as well

The only place where we list the wikis now is https://noc.wikimedia.org/conf/dblists/categories-rdf.dblist and SPARQL doesn't know which wikis are enabled, neither does CirrusSearch - because it just sees that there's no such category, but it doesn't know why. We could probably load the dblist and check current wiki against it if we wanted...

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.May 8 2018, 8:18 PM

Change 432043 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Add wikis with more that 1000 categories

https://gerrit.wikimedia.org/r/432043

Smalyshev renamed this task from The argument //deepcategory// in CirrusSearch only reports the members of the root category to The argument //deepcategory// in CirrusSearch only reports the members of the root category for nowiki.May 9 2018, 6:36 AM
Smalyshev claimed this task.
Smalyshev triaged this task as Normal priority.
Smalyshev moved this task from needs triage to Current work on the Discovery-Search board.
Smalyshev added a subscriber: Lea_Lacroix_WMDE.
jeblad awarded a token.May 9 2018, 9:54 AM

Change 432043 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wikis with more that 1000 categories to categories dump

https://gerrit.wikimedia.org/r/432043

Mentioned in SAL (#wikimedia-operations) [2018-05-10T23:09:55Z] <thcipriani@tin> Synchronized dblists/categories-rdf.dblist: SWAT: [[gerrit:432043|Add wikis with more that 1000 categories to categories dump]] T194139 (duration: 01m 02s)

Smalyshev closed this task as Resolved.May 14 2018, 3:53 PM
Vvjjkkii renamed this task from The argument //deepcategory// in CirrusSearch only reports the members of the root category for nowiki to kedaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from kedaaaaaaa to The argument //deepcategory// in CirrusSearch only reports the members of the root category for nowiki.Jul 2 2018, 6:23 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Smalyshev.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.